/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import React from "react"
import { Button, Platform, Text, View } from "react-native"
import { GlobalStyles } from "../../../utils/GlobalUtils"
import { ProfileSection } from "./ProfileSection"
import Constants from "expo-constants"

interface ProfileAboutProps {
    openAbout: () => void
    aboutCollapsed: boolean
}

export const ProfileAbout: React.FC<ProfileAboutProps> = ({aboutCollapsed, openAbout}) => {
    return (
        <ProfileSection isCollapsed={aboutCollapsed} collapseToggleMethod={openAbout} title="About">
            <View>
                <Text>{Platform.OS == "android" ? "Google Play" : Platform.OS == 'ios' ? "App Store" : null} version: {Constants.nativeAppVersion}</Text>
            </View>
            <View>
                <Text>OTA version: {Constants.manifest.releaseId}</Text>
            </View>
        </ProfileSection>
    )
}